# $Revision: 1.28 $, $Date: 2007/02/21 23:02:41 $
Summary:	SMTP client library
Summary(pl.UTF-8):	Biblioteka kliencka SMTP
Name:		libesmtp
Version:	1.0.4
Release:	1
License:	LGPL
Group:		Libraries
#Source0Download: http://www.stafford.uklinux.net/libesmtp/download.html
Source0:	http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
# Source0-md5:	8b4e8a794adc46268f0c6a0b3fb79486
URL:		http://www.stafford.uklinux.net/libesmtp/
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.7c
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%description -l pl.UTF-8
LibESMTP to biblioteka obsługująca wysyłanie poczty elektronicznej
przy użyciu SMTP do prekonfigurowanego MTA, np. exima. Może być
używana jako część MTA lub innego programu, który musi umieć wysyłać
pocztę.

%package devel
Summary:	Development resources for libesmtp
Summary(pl.UTF-8):	Pliki dla programistów używających libesmtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 0.9.7c

%description devel
Development resources for libesmtp.

%description devel -l pl.UTF-8
Pliki dla programistów używających libesmtp.

%package static
Summary:	Static libesmtp libraries
Summary(pl.UTF-8):	Statyczne biblioteki libesmtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libesmtp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libesmtp.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub  .
%configure \
	%{?debug:--enable-debug}%{!?debug:--disable-debug} \
	--enable-etrn \
	--enable-ntlm \
	--enable-pthreads \
	--enable-require-all-recipients=yes \
	--with-auth-plugin-dir=%{_libdir}/esmtp-plugins
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/esmtp-plugins/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS Notes README
%attr(755,root,root) %{_libdir}/libesmtp.so.*.*
%dir %{_libdir}/esmtp-plugins
%attr(755,root,root) %{_libdir}/esmtp-plugins/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libesmtp-config
%attr(755,root,root) %{_libdir}/libesmtp.so
%{_libdir}/libesmtp.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libesmtp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libesmtp.spec,v $
Revision 1.28  2007/02/21 23:02:41  sls
- ver. 1.0.4

Revision 1.27  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.25  2006/08/09 20:13:08  arekm
- rel 3

Revision 1.24  2005/11/16 09:10:52  qboosh
- strict internal deps, -devel R: openssl-devel
- BRs and files cleanups
- enabled NTLM plugin
- release 2

Revision 1.23  2004/09/06 19:45:29  adamg
- updated to 1.0.3r1

Revision 1.22  2004/01/29 21:10:21  undefine
- copy config.sub to allow build on amd64

Revision 1.21  2003/09/30 20:18:25  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.20  2003/08/28 12:34:40  adgor
- %%configure2_13

Revision 1.19  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/23 13:41:04  blues
- no stupid subshells

Revision 1.16  2003/04/23 13:32:41  blues
- started upgrade to 1.0

Revision 1.15  2003/02/21 21:58:28  misiek
- rebuild with new openssl

Revision 1.14  2003/02/13 14:03:34  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.13  2002/11/27 21:10:40  juandon
- new %%doc

Revision 1.12  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/04 14:42:47  qboosh
- pl translations, cosmetics; release 3

Revision 1.5  2001/08/29 04:21:27  kloczek
- reelase 2,
- added conditionaly --{enable,disable}-debug depending on %%{debug},
- added --enable-etrn.

Revision 1.4  2001/08/13 20:58:00  kloczek
- updated to 0.8.4.

Revision 1.3  2001/07/16 03:24:50  kloczek
- updated to 0.8.3 (ready to testing).

Revision 1.2  2001/06/21 20:28:20  kloczek
- completly rewrited in PLD style but not tested yet (need new ac 2.50).
